package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingItempoolActivityCreateRequest struct {
	/*
	   创建活动请求入参     */
	Param *domain.AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity `json:"param" required:"true" `
}

func (s *AlibabaWdkMarketingItempoolActivityCreateRequest) SetParam(v domain.AlibabaWdkMarketingItempoolActivityCreateItemPoolActivity) *AlibabaWdkMarketingItempoolActivityCreateRequest {
	s.Param = &v
	return s
}

func (req *AlibabaWdkMarketingItempoolActivityCreateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingItempoolActivityCreateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
